Qt.include("changeStatus.js");
//
// conterra' il numero di persone che stanno partecipando alla mappa:
var teamOneCount = 0, teamTwoCount = 0;
var resolution = bridge.getDeviceResolution();
//
// result conterra' il boolean che indica se l'azione richiesta e' andata a buon fine; msg eventuale messaggio
function retrivePlayerListCompleted(result, msg) {
    if (result === false) {
        dialogInfo.showButton = true;
        dialogInfo.info = msg;
        dialogInfo.show();
    }
    else
        dialogInfo.hide();
}


function retrivePlayerListInProgress() {
    dialogInfo.showButton = false;
    dialogInfo.info = qsTr("Aggiornamento lista giocatori nella mappa\nAttendere prego...");
    dialogInfo.show();
}


function retriveMarkListInProgress() {
    dialogInfo.showButton = false;
    dialogInfo.info = qsTr("Recupero punti interesse presenti nella mappa\nAttendere prego...");
    dialogInfo.show();
}

function toUpperCase(value) {
    var car;
    var retUpper;

    for (car = 0; car < value.length(); car++) {
        if (value[car] >= 'a' && value[car] <= 'z')
            retUpper[car] = value[car] - ' ';
    }
    return retUpper;
}
//
// richiamata quando emesso il segnale lato C++ che comunicaun caricamento delle liste volute dal client
function updatePlayerList() {
    teamOneCount = teamOnePlayerModel.length;
    teamTwoCount = teamTwoPlayerModel.length;
    listTeamOne.headerCounter = teamOneCount;
    listTeamTwo.headerCounter = teamTwoCount;
    listTeamOne.addElements(teamOnePlayerModel);
    listTeamTwo.addElements(teamTwoPlayerModel);
}

//null
// inviato quando un giocatore esegue il join o il sit out dalla mappa (isJoin = true o false)
function notificationOnMap(isJoin, id_username, nickname, enemy, commander) {
    var list = listTeamOne;
    //
    // l'eliminazione di un player deve essere effettuata su entrambe le liste in quanto il server comunica solo l'id dello user
    // da eliminare; se il player sta entrando, al contrario, il server invia tutte le informazioni dell'utente
    if (enemy === true) {
        list = listTeamTwo;
    }
    if (isJoin === true) {// nuovo partecipante
        list.appendItem(id_username, nickname, commander);
        joinInSound.play();
        if (enemy === true)
            teamTwoCount++;
        else
            teamOneCount++;
    }
    else {
        if (listTeamOne.removeItem(id_username)) teamOneCount--;
        if (listTeamTwo.removeItem(id_username)) teamTwoCount--;
    }
    listTeamOne.headerCounter = teamOneCount;
    listTeamTwo.headerCounter = teamTwoCount;
}
//
// richiamata quando si tenta la chiusura della mappa
function isWaitingMapClosed(result, msg) {
    bridge.changeMapStatusProgress.disconnect(changeStatusMapInProgress);
    bridge.changeMapStatusCompleted.disconnect(changeStatusMapCompleted);
    if (result === false) {
        dialogInfo.showButton = true;
        dialogInfo.info = msg;
        dialogInfo.show();
    }
    else // tutto ok: torna indietro
        pageStack.replace(Qt.resolvedUrl("MapGameOnline.qml"));
}
//
// chiude la mappa in gioco: nel caso waiting=0 (precedente waiting=1) e gaming=0, esegue eliminazione dei giocatori
// dalla mappa tramite trigger;
function closeWaitingMap() {
    bridge.changeMapStatusProgress.connect(changeStatusMapInProgress); // si aggancia alla progressione del cambio stato per la mappa
    bridge.changeMapStatusCompleted.connect(changeStatusMapCompleted); // si aggancia al completamento del cambio stato per la mappa
    dialog = dialogInfo;
    callback = isWaitingMapClosed;
    bridge.changeStatusMap(getMapStatus(SWITCH_MAP_STATUS_TO_END)); // cambio lo stato della mappa da attesa giocatori a chiusa
}
//
//
// richiamata quando la partita viene messa in play, quindi procede con lo scarico dei players e dei marks nella mappa:
function downloadPlayerList(result, msg) {
    bridge.changeMapStatusProgress.disconnect(changeStatusMapInProgress);
    bridge.changeMapStatusCompleted.disconnect(changeStatusMapCompleted);
    if (result === false) {
        dialogInfo.showButton = true;
        dialogInfo.info = msg;
        dialogInfo.show();
    }
    else { // tutto ok: procede con il download dei players
        bridge.retrivePlayerListInProgress.connect(retrivePlayerListInProgress);
        bridge.retrivePlayerListCompleted.connect(resultOfPlayerListRequest);
        bridge.downloadPlayersForGame(); // scarica i players con successivo auto tentativo in caso di errore
    }
}
//
// result conterra' il boolean che indica se l'azione richiesta e' andata a buon fine; msg eventuale messaggio
function resultOfMarkListRequest(result, msg) {
    if (result === false) {
        dialogInfo.showButton = false; // disattiva il pulsante perche' continuera' il tentativo di download in automatico
        dialogInfo.info = msg + "\n" + qsTr("Attesa nuovo tentativo...");
        dialogInfo.show();
    }
    else { // se va a buon fine significa che possiamo avviare il gioco vero e proprio:
        bridge.retriveMarkListInProgress.disconnect(retriveMarkListInProgress);
        bridge.retriveMarkListCompleted.disconnect(resultOfMarkListRequest);
        pageStack.replace(Qt.resolvedUrl(resolution + "/Navigator.qml"));
        dialogInfo.hide();
    }
}
//
// result conterra' il boolean che indica se l'azione richiesta e' andata a buon fine; msg eventuale messaggio
function resultOfPlayerListRequest(result, msg) {
    if (result === false) {
        dialogInfo.showButton = false; // disattiva il pulsante perche' continuera' il tentativo di download in automatico
        dialogInfo.info = msg + "\n" + qsTr("Attesa nuovo tentativo...");
        dialogInfo.show();
    }
    else { // se va a buon fine significa che la lista e' stata scaricata e ora puo' procedere con il download dei marks
        bridge.retrivePlayerListInProgress.disconnect(retrivePlayerListInProgress);
        bridge.retrivePlayerListCompleted.disconnect(resultOfPlayerListRequest);
        bridge.retriveMarkListInProgress.connect(retriveMarkListInProgress);
        bridge.retriveMarkListCompleted.connect(resultOfMarkListRequest);
        dialogInfo.hide();
        bridge.downloadMarksForGame(); // scarica i marks presenti nella mappa con tentativo automatico in caso di errore
    }
}
//
// quando richiamata avvia la mappa, cambiando lo stato a gaming (nella callback eseguire la procedura di scarico dei marks e dei players):
function startGamePlayOnMap() {
    dialog = dialogInfo; // associa riferimento per la dialog di informazione da utilizzare
    callback = downloadPlayerList;
    bridge.changeMapStatusProgress.connect(changeStatusMapInProgress); // si aggancia alla progressione del cambio stato per la mappa
    bridge.changeMapStatusCompleted.connect(changeStatusMapCompleted); // si aggancia al completamento del cambio stato per la mappa
    bridge.changeStatusMap(getMapStatus(SWITCH_MAP_STATUS_TO_PLAY)); // cambio lo stato della mappa in gioco
}
