//
// include libreria di supporto per il cambio dello stato mappa
Qt.include("changeStatus.js");
//
//
// result conterra' il boolean che indica se l'azione richiesta e' andata a buon fine; msg eventuale messaggio
function searchUserMapCompleted(result, msg) {
    if (result === false) {
        dialogInfo.showButton = true;
        dialogInfo.info = msg;
        dialogInfo.show();
    }
    else {
        dialogInfo.hide();
    }
}

function updateMapList() {
    rectList.headerCounter = rectList.listMap.count;
    rectList.listMap.currentIndex = -1;
}

function searchUserMapInProgress() {
    dialogInfo.showButton = false;
    dialogInfo.info = qsTr("Ricerca online delle mappa in corso\nAttendere prego...");
    dialogInfo.show();
}
// ----------------------------- FUNZIONI PER L'AVVIO DELLA MAPPA IN MODALITA' WAITING -------------------------------------------
//
// funzione di callbak che viene richiamata dopo il cambio dello stato: result contiene l'esito dell'operazione
function continueWithJoin(result, msg) {
    if (result === false) {
        rectList.enabled = true;
        dialogInfo.showButton = true;
        dialogInfo.info = msg;
        dialogInfo.show();
    }
    else { // eseguita con successo il cambio di stato, esegue lo join del proprietario:
        bridge.isJoinedInMap.connect(isOwnerJoinedInMap);
        bridge.joinInMap();
    }
}
//
// richiamata quando l'owner esegue il join nella mappa aperta:
function isOwnerJoinedInMap(result, msg) {
    bridge.changeMapStatusProgress.disconnect(changeStatusMapInProgress);
    bridge.changeMapStatusCompleted.disconnect(changeStatusMapCompleted);
    bridge.isJoinedInMap.disconnect(isOwnerJoinedInMap);
    if (result === false) {
        bridge.changeStatusMap(getMapStatus(SWITCH_MAP_STATUS_TO_END)); // cambio lo stato della mappa in chiusa
        dialogInfo.showButton = true;
        dialogInfo.info = msg;
        dialogInfo.show();
    }
    else { // tutto ok: apre la lobby della mappa
        dialogInfo.hide();
        pageStack.replace(Qt.resolvedUrl("MapRoom.qml"));
    }
}
//
// richiamata dopo l'accettazione della password, esegue il cambio dello stato (a waiting) ed effettua il join automatico
// per il possessore della mappa (se la password non e' corretta, annulla il processo):
function startGameOnMap() {
    rectList.enabled = false;
    dialogInputMapPasswd.hide();
    bridge.processEvents();
    dialog = dialogInfo; // associa riferimento per la dialog di informazione da utilizzare
    callback = continueWithJoin;
    bridge.setMapPassword(dialogInputMapPasswd.inputText); //imposta la password
    bridge.changeMapStatusProgress.connect(changeStatusMapInProgress); // si aggancia alla progressione del cambio stato per la mappa
    bridge.changeMapStatusCompleted.connect(changeStatusMapCompleted); // si aggancia al completamento del cambio stato per la mappa
    bridge.changeStatusMap(getMapStatus(SWITCH_MAP_STATUS_TO_WAIT)); // cambio lo stato della mappa in attesa giocatori
}
