// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Rectangle {
    id: compassContainer
    color: "transparent"
    radius: 6

    property alias compassHeight: backgroundCompass.height
    property alias compassWidth: backgroundCompass.width

    onCompassHeightChanged: compassContainer.height = compassHeight
    onCompassWidthChanged: compassContainer.width = compassWidth

    function refreshCompass(info, angle) {
        rotateCompass.angle = angle;
    }

    Image {
        id: backgroundCompass
        x: 10
        width: 1
        height: 1
        anchors.top: parent.top
        anchors.topMargin: 0
        anchors.horizontalCenter: parent.horizontalCenter
        smooth: true
        fillMode: Image.PreserveAspectFit
        source: "qrc:/images/" + bridge.getDeviceResolution() + "/compass.png"
        transform:
            Rotation {
                id: rotateCompass
                origin.x: backgroundCompass.width / 2
                origin.y: backgroundCompass.height / 2
                axis { x: 0; y: 0; z: 1 }
            }
    }
/*
    Text {
        id: infoDegrees
        color: "#31a211"
        font.bold: false
        horizontalAlignment: Text.AlignHCenter
        font.family: "Impact"
        verticalAlignment: Text.AlignVCenter
        anchors.top: backgroundCompass.bottom
        anchors.topMargin: 0
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0
        font.pixelSize: 13
    }
*/
}
