// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1


Component  {
    id: delegate

    Rectangle  {
        id:item
        width: path.imageSize;
        height: path.imageSize
        scale: PathView.iconScale
        opacity: PathView.iconOpacity
        z: PathView.zIndex
        color: "transparent"

        SequentialAnimation {
            id: selectedVoiceAnimation

            NumberAnimation { target: imgVoice; property: "opacity"; to: 1; from: 0; duration: 150 }
            NumberAnimation { target: imgVoice; property: "opacity"; to: 0; from: 1; duration: 150 }

            onCompleted: { imgVoice.opacity = 1; pathContainer.selectedVoice(item.PathView.view.currentIndex); }
        }

        Rectangle {
            width: item.width;
            height: item.height;
            color: "transparent"

            Image  {
                id: imgVoice
                z: 100
                anchors.fill: parent
                fillMode: Image.PreserveAspectFit;
                source: icon

                MouseArea {
                    anchors.fill: parent

                    onClicked: {
                        item.PathView.view.currentIndex = index;
                        selectedSound.play();
                        selectedVoiceAnimation.start();
                    }
                }
            }
        }
    }
}
