// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1


Component {
    id: listDelegate

    Rectangle {
        id: itemList
        width: ListView.view.width - 2
        height: 48
        anchors { left: parent.left; leftMargin: 15; right: parent.right; rightMargin: 15 }
        radius: 8
        color: "transparent"
        border { width: 1; color: "#6E7A65" }

        Text {
            id: msg
            text: modelData.message
            anchors.fill: parent
            anchors { leftMargin: 30; rightMargin: 30 }
            color: "white"
            style: Text.Outline
            font.family: "Impact"
            verticalAlignment: Text.AlignVCenter
            textFormat: TextEdit.PlainText
            wrapMode: TextEdit.WordWrap

            Component.onCompleted: msg.font.pointSize = bridge.getFontSizeText()

            MouseArea {
                id: mouseArea
                anchors.fill: parent

                onClicked: {
                    hide();
                    bridge.setNewTarget(idObject, modelData.idMessage, isPOI);
                }
            }
        }
    }
}
