// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import QtMultimediaKit 1.1
import "../../js/Resolution.js" as JResolution

Rectangle {
    id: toolTip
    color: "#000000"
    radius: 6
    border.color: "#FF000F"
    border.width: 1
    opacity: 0.0
    height: 45
    //
    // visualizza il tooltip:
    function showBallon(tip) {
        caption.text = tip;
        //alertSound.play();
        showAnimation.start()
    }

    function hideBallon() {
        hideAnimation.start();
    }

    SequentialAnimation {
        id: hideAnimation
        NumberAnimation { target: toolTip; property: "opacity"; from:1.0; to:0.0; duration: 800; }
    }

    SequentialAnimation {
        id: showAnimation
        NumberAnimation { target: toolTip; property: "opacity"; from:0.0; to:1.0; duration: 600; }
    }
/*
    SoundEffect {
        id: alertSound
        source: "../../audio/popup.wav"
    }
*/
    RumbleEffect {
        id: rumbleEffect
    }

    MouseArea {
        id: areaReconnect
        z: 30
        anchors.fill: parent

        onPressAndHold: {
            rumbleEffect.killRumble();
            bridge.tryTcpServerConnection();
        }
    }

    Image {
        id: imgInfo
        width: 39
        height: 39
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.top: parent.top
        anchors.topMargin: 0
        source: "qrc:/images/" + bridge.getDeviceResolution() + "/light_internet_red.png"
        fillMode: Image.PreserveAspectFit
    }

    Text {
        id: caption
        color: "#FAF567"
        style: Text.Outline
        font.family: "Impact"
        anchors.left: imgInfo.right
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        anchors.top: parent.top
        font.pointSize: bridge.getFontSizeMenu()
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter

        Component.onCompleted: {
            if (JResolution.getHeight() === "640")
                caption.font.pointSize = bridge.getFontSizeText() + 2;
        }
    }
}
