// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0 //import com.nokia.symbian 1.1
import "../../js/Resolution.js" as JResolution
//
// componente per ogni elemento della ListView
Component {
    id: listDelegate

    Rectangle {
        id: itemList
        z:100
        width: listTeamPlayer.width - 2
        height: 70
        clip: true
        radius: 8
        color: "transparent"
        border { width: 1; color: "#FAF567" }

        Component.onCompleted: {
            if (JResolution.getHeight() === "640") {
                height = 60
            }
        }

        Image {
            id: picture
            width: 40
            height: 48
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.verticalCenter: parent.verticalCenter
            fillMode: Image.PreserveAspectFit
            source: "qrc:/images/soldier.png"
        }

        Text {
            id: lblSoldierName
            height: 20
            font.italic: true
            style: Text.Outline
            font.family: "Impact"
            color: "#FAF567"
            verticalAlignment: Text.AlignVCenter
            anchors.top: parent.top
            anchors.topMargin: 5
            anchors.left: picture.right
            anchors.leftMargin: 5
            anchors.right: parent.right
            anchors.rightMargin: 10

            Component.onCompleted: {
                if (commander)
                    lblSoldierName.text = qsTr("Comandante");
                else
                    lblSoldierName.text = qsTr("Soldato");
                lblSoldierName.text += ": " + nickname;
                font.pointSize = bridge.getFontSizeText();
            }
        }
        Image {
            id: imgDegree
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.left: picture.right
            anchors.leftMargin: 5
            anchors.top: lblSoldierName.bottom
            anchors.topMargin: 2
            fillMode: Image.PreserveAspectFit

            Component.onCompleted: {
                if (JResolution.getHeight() === "640") {
                    width = 22;
                    height = 23;
                }
                else if (JResolution.getHeight() === "854") {
                    width = 29;
                    height = 31;
                }
                if (commander) {
                    imgDegree.source = "qrc:/images/" + bridge.getDeviceResolution() + "/rank2.png";
                    lblDescription.text = qsTr("Il grado ti permette di impartire ordini ai membri del team, come raggiungere target o comunicare con loro");
                }
                else {
                    imgDegree.source = "qrc:/images/" + bridge.getDeviceResolution() + "/rank1.png";
                    lblDescription.text = qsTr("Soldato semplice pronto a rischiare la propria vita e ad obbedire agli ordini impartiti dal comandante");
                }
            }
        }

        Text {
            id: lblDescription
            y: 46
            height: 40
            color: "white"
            style: Text.Outline
            font.family: "Impact"
            verticalAlignment: Text.AlignTop
            wrapMode: Text.WordWrap
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.right: parent.right
            anchors.rightMargin: 10
            anchors.left: imgDegree.right
            anchors.leftMargin: 5

            Component.onCompleted: {
                if (JResolution.getHeight() === "640") {
                    font.pointSize = bridge.getFontSizeText() - 1;
                }
                else if (JResolution.getHeight() === "854")
                    font.pointSize = bridge.getFontSizeText() - 2;
            }
        }
    }
}
