// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
//
// componente per ogni elemento della ListView
Component {
    id: listDelegate

    Rectangle {
        id: itemList
        z: 100
        width: ListView.view.width - 2;
        color: "transparent"
        height: 70
        clip: true
        radius: 8
        border { width: 1; color: "#FAF567" }

        SequentialAnimation {
            id: selectedVoiceAnimation
            onCompleted: { itemList.opacity = 1; listContainer.selectedVoice(itemList.ListView.view.currentIndex);}
            NumberAnimation { target: itemList; property: "opacity"; to: 1; from: 0; duration: 150 }
            NumberAnimation { target: itemList; property: "opacity"; to: 0; from: 1; duration: 150 }
        }

        MouseArea {
            anchors.fill: parent
            z: 10
            onClicked: {
                if (dialogInfo.isShown() === true || dialogInputMapPasswd.isShown() === true) return;
                itemList.ListView.view.currentIndex = index;
                selectedSound.play();
                bridge.selectedOnlineMap(model.modelData.idMap, model.modelData.idOwner, modelData.mapName);
                selectedVoiceAnimation.start();
            }
        }

        Text {
            id: lblMapName
            height: 20
            font.italic: true
            clip: true
            anchors {
                top: parent.top
                topMargin: 4
                left: parent.left
                leftMargin: 5
                right: owner.left
                rightMargin: 5
            }
            style: Text.Outline
            font.family: "Impact"
            color: "#FAF567"

            Component.onCompleted: {
                font.pointSize = bridge.getFontSizeText() + 1;
                text = qsTr("Nome: ") + modelData.mapName;
            }
        }

        Text {
            id: owner
            height: 20
            width: 100
            anchors {
                top: parent.top
                topMargin: 4
                right: parent.right
                rightMargin: 10
            }
            style: Text.Outline
            font.family: "Impact"
            color: "#567F00"
            horizontalAlignment: Text.AlignRight

            Component.onCompleted: {
                font.pointSize = bridge.getFontSizeText()
                text = qsTr("Nickname: ") + modelData.mapOwner;
            }
        }

        Text {
            color: "white"
            anchors {
                top: lblMapName.bottom
                topMargin: 4
                left: parent.left
                leftMargin: 10
                right: parent.right
                rightMargin: 10
            }
            wrapMode: Text.Wrap
            style: Text.Outline
            font.family: "Impact"
            text: modelData.mapDesc

            Component.onCompleted: {
                font.pointSize = bridge.getFontSizeText();
            }
        }
    }
}
