// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0 //import com.nokia.symbian 1.1
import "../../js/Resolution.js" as JResolution

Item {
    id: listContainer

    property alias  caption: lblCaption.text
    property alias  listMap: listMessage
    property alias  headerCounter: counter.text

    //
    // segnale emesso quando si seleziona una voce dal menu
    signal selectedVoice(variant index)

    BorderImage {
        id: backImage
        anchors.fill: parent
        source: "qrc:/images/list.png"
        verticalTileMode: BorderImage.Repeat
        horizontalTileMode: BorderImage.Repeat
        border.left: 12; border.top: 54
        border.right: 12; border.bottom: 12
    }

    ListView {
        id: listMessage
        spacing: 3
        anchors.top: parent.top
        anchors.topMargin: 54
        anchors.right: parent.right
        anchors.rightMargin: 12
        anchors.left: parent.left
        anchors.leftMargin: 12
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 10
        currentIndex: -1
        clip: true
        orientation: ListView.Vertical
        delegate: SearchMapDelegate {}
        model: searchModel // settato nel context in SearchMap/SearchUserMap.cpp

    }

    Image {
        id: imgLogo
        anchors.right: counter.left
        anchors.rightMargin: 14
        anchors.top: parent.top
        anchors.topMargin: 10
        source: "qrc:/images/map.png"
        fillMode: Image.PreserveAspectFit
        width:33
        height: 33
    }

    Text {
        id: lblCaption
        color: "white"
        style: Text.Outline
        font.family: "Impact"
        anchors.right: parent.right
        anchors.rightMargin: 14
        anchors.top: parent.top
        anchors.topMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 15
        height: 30
        text: qsTr("Mappe recuperate")
        verticalAlignment: Text.AlignVCenter

        Component.onCompleted: font.pointSize = bridge.getFontSizeMenu()
    }

    Text {
        id: counter
        color: "white"
        text: "0"
        anchors.right: parent.right
        anchors.rightMargin: 14
        anchors.top: parent.top
        anchors.topMargin: 10
        style: Text.Outline
        font.family: "Impact"
        verticalAlignment: Text.AlignVCenter

        Component.onCompleted: {
            if (JResolution.getHeight() === "640")
                anchors.topMargin = 15;
            font.pointSize = bridge.getFontSizeMenu()
        }
    }
}
