// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Rectangle {
    id: rowContainer
    color: "transparent"

    property alias  imageWidth: switchCommander.width
    property alias  imageHeight: switchCommander.height
    property string imageNotChecked: ""
    property string imageChecked: ""
    property alias  caption: textInfo.text
    property alias  sizeCaption: textInfo.font.pointSize
    property alias  colorCaption: textInfo.color
    property bool   checked: false

    signal clickChecked(bool value)

    Text {
        id: textInfo
        width: 220
        height: rowContainer.height
        color: "#FAF567"
        style: Text.Outline
        font.family: "Impact"
        anchors.left: parent.left
        anchors.leftMargin: 0
        verticalAlignment: Text.AlignVCenter
        anchors.verticalCenter: parent.verticalCenter
    }

    Image {
        id: switchCommander
        z: 20
        anchors { left: textInfo.right; leftMargin: 15 }
        fillMode: Image.PreserveAspectFit
        anchors.verticalCenter: parent.verticalCenter
        source: rowContainer.imageNotChecked

        MouseArea {
            anchors.fill: parent

            onClicked: {
                if (rowContainer.checked == false) {
                    switchCommander.source = rowContainer.imageChecked;
                    rowContainer.checked = true;
                }
                else {
                    switchCommander.source = rowContainer.imageNotChecked;
                    rowContainer.checked = false;
                }
                clickChecked(rowContainer.checked);
            }
        }
    }
}
