// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import "../../js/Resolution.js" as JResolution


Image {
    id: waitPanel
    source: "qrc:/images/" + bridge.getDeviceResolution() + "/mainBackground.jpg";

    property alias caption: lblMessage.text
    //
    // lanciato quando si clicca sul pulsante
    signal clickStartGame

    function isShown() {
        return waitPanel.visible == true;
    }

    MouseArea {
        z: 0
        anchors.fill: parent
        onClicked: console.log("Attendere");
    }

    Text {
        id: infoLabel
        width: 200
        height: 20
        color: "white"
        text: qsTr("avvia manualmente il gioco:")
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: imgTime.bottom
        anchors.topMargin: 45
        verticalAlignment: Text.AlignVCenter
        style: Text.Outline
        font.family: "Impact"
        horizontalAlignment: Text.AlignHCenter
        font.pointSize: bridge.getFontSizeText()

        Component.onCompleted: {
            if (JResolution.getHeight() === "640") {
                anchors.topMargin = 15;
                height = 15;
            }
        }
    }


    SwitchButton {
        id: cmdStartGame
        width: 39
        height: 39
        anchors.horizontalCenter: parent.horizontalCenter
        z: 10
        anchors.top: infoLabel.bottom
        anchors.topMargin: 0
        foregroundImage: "qrc:/images/light_refresh.png"
        foregroundImageHeight: 39
        foregroundImageWidth: 39
        soundClick: "../../audio/click.wav"
        onClickButton: clickStartGame()
    }

    Image {
        id: imgTime
        width: 67
        height: 66
        anchors.top: lblMessage.bottom
        anchors.topMargin: 5
        anchors.horizontalCenter: parent.horizontalCenter
        fillMode: Image.PreserveAspectFit
        source: "qrc:/images/light_time.png"
    }

    Text {
        id: lblMessage
        height: 25
        z: 2
        color: "#FAF567"
        anchors.horizontalCenter: parent.horizontalCenter
        verticalAlignment: Text.AlignVCenter
        anchors.verticalCenter: parent.verticalCenter
        style: Text.Outline
        font.family: "Impact"
        horizontalAlignment: Text.AlignHCenter
        font.pointSize: bridge.getFontSizeMenu() + 5

        Component.onCompleted: {
            if (JResolution.getWidth() === "360")
                font.pointSize = bridge.getFontSizeMenu();
        }
    }
}
